/* Media query para celulares (largura de tela até 599px) */
@media only screen and (max-width: 599px) {
    .buttons-Customize-Container-2 {
        display: none !important;
    }

    .buttons-Customize-Container-3 {
        display: none !important;
    }

    .sidebar {
        display: none !important;
    }

    .progress-bar-tablet {
        display: none !important;
    }

    .progress-bar-inner-tablet {
        display: none !important;
    }

    #customVideoModal {
        display: none !important;
    }

    .progress-bar-track {
        display: none !important;
    }

    .Container-For-Tablet-Menssage {
        display: none !important;
    }

    .Questions-Container {
        display: none !important;
    }

    .Computer-Mesagem {
        display: none !important;

    }


}


@media only screen and (min-width: 600px) and (max-width: 1024px) {

    body {
        overflow-x: hidden !important;
        overflow-y: hidden;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        height: 100vh;
        background-color: #f0f0f0;
        margin: 0;


    }

    .Container-For-Tablet-Menssage {

        height: 120vh !important;
        width: 100vw;
        max-height: 120vh !important;
        min-height: 120vh !important;
        max-width: 100vw;
        min-width: 100vw;
        position: absolute;
        z-index: 99999999999;
        background-color: white;
    }

    .Questions-Container {
        display: flex !important;
        justify-content: center !important;
        align-items: center !important;
        flex-direction: column !important;
        height: 100% !important;
        width: 100% !important;
        background-color: white;
    }

    .father-div-flex {
        width: 100%;
        height: 20%;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    #button-div {
        display: flex;
        align-items: center;
        justify-content: space-around;
        background-color: #22F2F2;
        height: 50px;
        width: 400px;
        text-align: center;
        font-family: Arial, Helvetica, sans-serif;
        border-radius: 5px;
        color: white;
        font-size: 1.0rem;
    }

    .modal {
        display: none !important;
    }

    .img-capa {
        background-image: url('https://voltowebcompany.com/wp-content/uploads/2025/03/Unhas-Grandes-E-Fortes-min.jpg');
        background-position: center center;
        background-repeat: no-repeat;
        background-size: cover;
        width: 100%;
        height: 100%;
    }


    .Computer-Mesagem {
        display: none !important;

    }

}




@media only screen and (min-width: 1280px) and (max-width: 2560px) {
    .modal {
        display: none !important;
    }
}


/* Mostra o controle para celulares */
@media only screen and (max-width: 599px) {

    .font-size-label.mobile,
    .font-size-range.mobile {
        display: block !important;
    }
}

/* Mostra o controle para tablets */
@media only screen and (min-width: 600px) and (max-width: 1024px) {

    .font-size-label.tablet,
    .font-size-range.tablet {
        display: block !important;
    }
}





.__elements_watch_button_page-pushable {
    position: absolute;
    display: flex;
    border: none;
    background: transparent;
    padding: 0;
    cursor: pointer;
    outline-offset: 4px;
    transition: filter 250ms;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    animation: __elements_watch_button_page-upButton 1s ease-in-out;
}

@keyframes __elements_watch_button_page-upButton {
    0% {
        transform: translateY(100px);
    }

    100% {
        transform: translateY(0px);
    }
}

.__elements_watch_button_page-shadow {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 100%;
    background: hsl(0deg 0% 0% / 0.25);
    will-change: transform;
    transform: translateY(2px);
    transition: transform 600ms cubic-bezier(.3, .7, .4, 1);
}

.__elements_watch_button_page-edge {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 100%;
    background: linear-gradient(to left, hsl(0, 100%, 15%) 0%, hsl(0, 100%, 25%) 8%, hsl(0, 100%, 28%) 92%, hsl(0, 100%, 21%) 100%);
}


.__elements_watch_button_page-front {
    align-items: center;
    display: flex;
    justify-content: center;
    position: relative;
    height: 47px;
    /* padding: 12px 27px; */
    border-radius: 100%;
    width: 50px;
    font-size: .900rem;
    font-weight: normal;
    color: rgb(255, 255, 255);
    background: #F23005;
    will-change: transform;
    transform: translateY(-4px);
    transition: transform 600ms cubic-bezier(.3, .7, .4, 1);
}

.__elements_watch_button_page-pushable:hover {
    filter: brightness(110%);
    -webkit-filter: brightness(110%);
}

.__elements_watch_button_page-pushable:hover .__elements_watch_button_page-front {
    transform: translateY(-6px);
    transition:
        transform 250ms cubic-bezier(.3, .7, .4, 1.5);
}

.__elements_watch_button_page-pushable:active .__elements_watch_button_page-front {
    transform: translateY(-2px);
    transition: transform 34ms;
}

.__elements_watch_button_page-pushable:hover .__elements_watch_button_page-shadow {
    transform: translateY(4px);
    transition:
        transform 250ms cubic-bezier(.3, .7, .4, 1.5);
}

.__elements_watch_button_page-pushable:active .__elements_watch_button_page-shadow {
    transform: translateY(1px);
    transition: transform 34ms;
}

.__elements_watch_button_page-pushable:focus:not(:focus-visible) {
    outline: none;
}



.light-mode .unique-progress-bar-container {
    width: 100%;
    height: 100%;
    display: block;
    border-radius: 10px;
    animation: levant_animation 1s ease-in-out;
    background-color: rgb(0, 0, 0);
}

.alert_fullScreen_overlay {

    position: absolute;
    height: 100%;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.534);
    display: none;
    top: 50%;
    align-items: center;
    justify-content: center;
    left: 50%;
    z-index: 60 !important;
    transform: translate(-50%, -50%);
}

.container_alert_fullScreen {
    background-color: rgb(223, 223, 223);
    border-radius: 8px;

    width: 360px;
    height: 160px;
    display: flex;
    flex-direction: column;
    animation: _show_animation 0.6s ease-in-out;
    align-items: center;
    justify-content: space-evenly;
}

.container_fullScreen_button_alert_user {
    height: 40px;

    width: 90%;
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.button_alert_fullScreen {
    font-weight: 700;
    font-family: sans-serif;
    color: #202020;
    cursor: pointer;
}

.alert_fullScreen_text {
    color: black;
    padding: 10px;
    line-height: 33px;
}


@keyframes _show_animation {
    0% {
        transform: translateY(100px);
    }

    100% {
        transform: translateY(0px);
    }
}

.__guide_user_manual_slide.active {
    transform: translateX(0%);

}

.__guide_user_manual_slide.left {
    transform: translateX(100%);

}

.__guide_user_manual_slide.right {

    transform: translateX(-100%);

}
















.__atived_full_screen_action_USER-pushable {
  position: relative;
  border: none;
  background: transparent;
  padding: 0;
  cursor: pointer;
  outline-offset: 4px;
  transition: filter 250ms;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
}

.__atived_full_screen_action_USER-shadow {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 12px;
  background: hsl(0deg 0% 0% / 0.25);
  will-change: transform;
  transform: translateY(2px);
  transition: transform 600ms cubic-bezier(.3, .7, .4, 1);
}

.__atived_full_screen_action_USER-edge {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 12px;
  background: linear-gradient(
    to left,
    hsl(0, 0%, 0%) 0%,
    hsl(0, 0%, 0%) 8%,
    hsl(0, 0%, 0%) 92%,
    hsl(0, 0%, 0%) 100%
  );
}

.__atived_full_screen_action_USER-front {
  display: block;
  position: relative;
  padding: 12px 27px;
  border-radius: 12px;
  font-size: 1.1rem;
  color: white;
  background: hsla(0, 0%, 0%, 0.644);
  will-change: transform;
  transform: translateY(-4px);
  transition: transform 600ms cubic-bezier(.3, .7, .4, 1);
}

@media (min-width: 768px) {
  .__atived_full_screen_action_USER-front {
    font-size: 1.25rem;
    padding: 12px 42px;
  }
}

.__atived_full_screen_action_USER-pushable:hover {
  filter: brightness(110%);
  -webkit-filter: brightness(110%);
}

.__atived_full_screen_action_USER-pushable:hover
.__atived_full_screen_action_USER-front {
  transform: translateY(-6px);
  transition: transform 250ms cubic-bezier(.3, .7, .4, 1.5);
}

.__atived_full_screen_action_USER-pushable:active
.__atived_full_screen_action_USER-front {
  transform: translateY(-2px);
  transition: transform 34ms;
}

.__atived_full_screen_action_USER-pushable:hover
.__atived_full_screen_action_USER-shadow {
  transform: translateY(4px);
  transition: transform 250ms cubic-bezier(.3, .7, .4, 1.5);
}

.__atived_full_screen_action_USER-pushable:active
.__atived_full_screen_action_USER-shadow {
  transform: translateY(1px);
  transition: transform 34ms;
}

.__atived_full_screen_action_USER-pushable:focus:not(:focus-visible) {
  outline: none;
}
